﻿EnableExplicit

;- -- Information.
; Dieses Modul sollte in jedes Projekt kopiert, und mit >XIncludeFile "Common.pbi" : UseModule Common<
; in die Hauptdatei, z.B. "Application.pb" eingebunden werden.

;- -- Version 01.
; Status:   Fertig.
; Autor:    Peter Dreisiebner
; E-Mail:   web@dreisiebner.at
; Website:  http://peter.dreisiebner.at
; Geändert: 2017-10-13 - PureBasic v5.61 (x86).

;-
;- -- DeclareModule Common. --------------------
;
DeclareModule Common
   EnableExplicit

;-
;- -- Includes.
; Die Macros für die Steuerung der Debugmeldungen in den Modulen einbinden.
XIncludeFile "CommonDebug.pbi"

;-
;- -- Debug-Konstanten - Steuerung der Debugmeldungen.
; Die DebugView-Konstanten dienen zur Steuerung der Debugmeldungen die an das Betriebssystem oder in das Log-Fenster
; ausgegeben werden. Diese Konstanten werden im Modul DebugView-v02.pbi ausgewertet.
; Die Debugmeldungen können zusätzlich in den Modulen gesteuert werden. Dafür gibt es die Konstanten #DebugOutModule,
; #DebugErrorModule und #DebugSpeedModule, die eine höhere Priorität haben, siehe CommonDebug.pbi.
#fDebugOut = #True

; Meldungen ausgeben, abhängig von #fDebugOut.
#fDebugHigh = #False    ; Meldungen am Anfang und Ende von Prozeduren ausgeben.

; Meldungen ausgeben, unabhängig von #fDebugOut.
#fDebugError = #True    ; Meldungen bei Fehlern ausgeben.
#fDebugSpeed = #True    ; Meldungen für Geschwindigkeitsmessungen ausgeben.
#fDebugInfo = #True     ; Meldungen für Infohinweise ausgeben.
#fDebugSuccess = #True  ; Meldungen für Erfolgshinweise ausgeben.
#fDebugTemp = #True     ; Meldungen für temporäre Hinweise ausgeben.

; Meldungen in das Log-Fenster ausgeben.
#fDebugWindowLog = #True  ; Debugmeldungen nur in das Log-Fenster ausgeben.
                           ; Bei True werden keine Debugmeldungen an das System ausgegeben.
                           ; Hinweis - Das Log-Fenster ist in diesem Projekt nicht vorhanden. Die Konstante wird aber
                           ; im Modul DebugView für das Kompilieren benötigt.


   ;- -- Application-Konstanten - Steuerung des Programms.
   #sApplicationName = #PB_Editor_FileDescription

   ; Ereignisse die per PostEvent gesendet werden.
   Enumeration eCustomEvent #PB_Event_FirstCustomValue
      #eCustomEventExitApplication  ; Für das Beenden des Programms.
   EndEnumeration


   ;- -- WindowAbout-Konstanten und DataSection.
   #sWindowAboutPureBasicVersionPlaceholder = "[####]"
   CompilerIf #PB_Compiler_Processor = #PB_Processor_x86
      #sWindowAboutPureBasicPlatform = ~" (x86)\n"
   CompilerElse
      #sWindowAboutPureBasicPlatform = ~" (x64)\n"
   CompilerEndIf
   #sWindowAboutText = ~"\n" +
                       #PB_Editor_FileDescription + " v" + #PB_Editor_FileVersion + ~"\n" +
                       #PB_Editor_ProductVersion + ~"\n\n" +
                       ~"Autor: " + #PB_Editor_CompanyName + ~"\n" +
                       #PB_Editor_Email + ~"\n" +
                       #PB_Editor_Website + ~"\n\n" +
                       "Kompiliert mit PureBasic " +
                       #sWindowAboutPureBasicVersionPlaceholder + #sWindowAboutPureBasicPlatform +
                       ~"http://www.purebasic.com\n\n" +
                       ~"Verwendet:\n" +
                       "libusb-1.0 - http://libusb.info"
   #iWindowAboutImageSize = 114056  ; Bytes.
   DataSection
      WindowAboutImage:
      IncludeBinary "WindowAboutImage.bmp"
   EndDataSection


EndDeclareModule  ; Common.


;-
;- -- Module Common. --------------------
;
Module Common
   EnableExplicit
   DebugOutCommon

   ; leer.


EndModule   ; Common.
